Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511030 - Updates to RHEV Host Causes Duplicate Names in CloudForms
Summary: Updates to RHEV Host Causes Duplicate Names in CloudForms
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: GA
: 5.8.4
Assignee: Piotr Kliczewski
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev
Depends On:
Blocks: 1551709
TreeView+ depends on / blocked
 
Reported: 2017-11-08 15:05 UTC by myoder
Modified: 2018-06-25 14:17 UTC (History)
13 users (show)

Fixed In Version: 5.8.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-25 14:17:08 UTC
Category: Bug
Cloudforms Team: RHEVM


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq pull 15795 None None None 2018-02-06 14:53:25 UTC
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:17:52 UTC

Comment 4 Piotr Kliczewski 2017-11-14 08:57:16 UTC
Based on information provided in comment #1 I see that each host is different in RHV. uid_ems is unique and I see that there were 3 hosts where 2 of them used the same guid (possibly host reuse). I am not able to access customer case due to timeout. Please provide more information about the issue and the steps to reproduce.

Comment 5 Piotr Kliczewski 2017-11-20 10:46:18 UTC
As I mentioned in comment #4 based on provided information it looks like not a bug. Please provide the evm and rhevm logs.

Comment 9 Piotr Kliczewski 2017-12-07 11:06:31 UTC
Sandro, Is it possible that a host name is changed during engine upgrade?

Comment 11 Piotr Kliczewski 2018-01-22 11:14:44 UTC
Adding back needinfo

Comment 12 Sandro Bonazzola 2018-01-23 07:47:26 UTC
(In reply to Piotr Kliczewski from comment #9)
> Sandro, Is it possible that a host name is changed during engine upgrade?

No. For renaming the engine host there's a separate tool which doesn't perform upgrades. If you want to change name and upgrade, you need to do it in 2 steps.

See https://ovirt.org/documentation/admin-guide/chap-Utilities/#the-ovirt-engine-rename-tool

Comment 20 Adam Grare 2018-02-06 13:42:10 UTC
> IIUC,
> The behavior on CFME-5.9.0.17 in CFME has changed, and for RHV provider,
> the host name number suffix is no longer added. I guess that would be true for > any flow. 
> Adam,
> Can you please confirm/correct? 

That's correct in 5.9 we removed the unique hostname requirement for all providers.

> Adam, hoe risky is the backport of your patch which removes host name suffixes  > to 5.8.z?

It isn't risky and it should cherry-pick cleanly, https://github.com/ManageIQ/manageiq/pull/15795 for reference

Comment 21 CFME Bot 2018-02-28 22:41:19 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/2e23e3092eea3280203a3219ce5dc525bde5dd2a

commit 2e23e3092eea3280203a3219ce5dc525bde5dd2a
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Mon Oct 9 16:34:22 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Feb 28 17:35:04 2018 -0500

    Merge pull request #15795 from agrare/do_we_need_host_names_to_be_unique
    
    Remove Host name uniqueness check and retry-loop
    (cherry picked from commit 565d7178e3daff9aa7b7e36c226dde238b98e7fe)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1511030

 app/models/ems_refresh/save_inventory_infra.rb       | 10 +---------
 app/models/host.rb                                   |  1 -
 spec/models/ems_refresh/save_inventory_infra_spec.rb | 11 -----------
 3 files changed, 1 insertion(+), 21 deletions(-)

Comment 22 Ilanit Stein 2018-04-30 11:25:48 UTC
Verified on CFME-5.8.4.2/RHV-4.2.2.5

Added 2 RHV providers with hosts, that have same names.
The hosts were added with the same name.
There was no use in any suffix number, as was before, on CFME-5.8.3.

Comment 25 errata-xmlrpc 2018-06-25 14:17:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.